Package com.germinus.easyconf

# Class ClassParameter

java.lang.Object
com.germinus.easyconf.ClassParameter

public class ClassParameter extends Object
Métodos de utilidad para trabajar con parámetros de configuración que representan clases Fecha: 09-jul-2004 -- 12:06:34

Author:
  Jesús Jáimez Rodríguez invalid input: '<'jesusjaimez@germinus.com>

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final Log`
`log`

## Constructor Summary

Constructors
Constructor
Description
`ClassParameter()`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`getNewInstance(Configuration conf, String propertyName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

private static final Log log

## Constructor Details

### ClassParameter

public ClassParameter()

## Method Details

### getNewInstance

public static Object getNewInstance(Configuration conf, String propertyName) throws ClassNotFoundException, IllegalAccessException, InstantiationException

Throws:
  `ClassNotFoundException`
  `IllegalAccessException`
  `InstantiationException`